Skip to content
GET/{organizationId}/work/todo/projects

List todo projects

Lists todo projects with their names, colors and descriptions

Path Parameters

organizationIdstringrequired

Query Parameters

limitintegeroptional

Default: 20

minimum: 0

maximum: 20

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

includeArchivedbooleanoptional

Default: false

archivedbooleanoptional
searchTermstringoptional

minLength: 1

maxLength: 100

maxItems: 50

Authentication: X-API-Key

Request

GET/{organizationId}/work/todo/projects
curl --request GET 'https://cloud.campai.com/api/{organizationId}/work/todo/projects' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "projects": [
    {
      "_id": "000000000000000000000001",
      "organization": "000000000000000000000001",
      "name": "string",
      "color": "slate",
      "description": "string",
      "openCount": 0,
      "closedCount": 0,
      "archivedAt": "2026-06-15T22:30:00Z",
      "archivedBy": {
        "name": "string",
        "type": "user",
        "userId": "string",
        "image": {
          "resource": "string"
        }
      }
    }
  ],
  "count": 0
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}